Bug 1906304 - Unexpected value NaN parsing x/y attribute when viewing pod Memory/CPU usage chart
Summary: Unexpected value NaN parsing x/y attribute when viewing pod Memory/CPU usage ...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Rastislav Wagner
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-10 08:48 UTC by Yadan Pei
Modified: 2021-04-12 08:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Parsing undefined values results in NaN exception Consequence: Chart tooltip shows back box with no values Fix: Specify start date when fetching data to make sure the results are synced. Make sure we do not parse undefined values. Result: Chart toolip shows correct values
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
no value hovering charts (74.82 KB, image/png)
2020-12-10 08:48 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7806 0 None open Bug 1906304: Fix NaN in Memory/CPU pod charts 2021-02-16 17:45:07 UTC

Description Yadan Pei 2020-12-10 08:48:41 UTC
Created attachment 1738137 [details]
no value hovering charts

Description of problem:
When viewing CPU/Memory usage charts on Pod Details page, 

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-12-09-112139

How reproducible:
Always

Steps to Reproduce:
1. cluster admin views console pod CPU/Memory usage charts via Workloads -> Pods -> choose 'openshift-console' and click on one console pod
2.
3.

Actual results:
1. at the beginning, CPU/Memory usage is shown and hover the charts can show correct value at one time, after several seconds, hovering will show black square, no values are shown, in browser console we can see some warnings:
Unexpected value NaN parsing y attribute. vendors~main-chunk-87bc5be0297594a8b4aa.min.js:169353
Unexpected value NaN parsing x attribute. vendors~main-chunk-87bc5be0297594a8b4aa.min.js:169353

Expected results:
1. charts value can always show when hovering 

Additional info:

Comment 1 ralpert 2020-12-15 20:35:09 UTC
This seems to be an intermittent issue. I reached out to PatternFly because I'm stumped. The data we're passing in looks ok.

Comment 2 ralpert 2020-12-18 16:36:03 UTC
I haven't heard anything from PatternFly yet. It looks like we're passing good data into PatternFly functions, and that they're not always returning information. I'll bug them again today or Monday if I don't hear back.

Comment 3 ralpert 2021-01-04 15:01:44 UTC
The functions we're using from PatternFly aren't intended to be third-party APIs. PatternFly suggested finding a way to reproduce it with the standard PatternFly component, since we're using a custom tooltip. I brought up switching over to PatternFly tooltips in scrum and there didn't seem to be a reason we're using custom code here. I'll try passing in the PatternFly tooltip instead and see what happens.

Comment 8 Siva Reddy 2021-03-01 00:32:18 UTC
Version
4.8.0-0.nightly-2021-02-26-221801

Steps to Reproduce:
1. cluster admin views console pod CPU/Memory usage charts via Workloads -> Pods -> choose 'openshift-console' and click on one console pod
2. intermittently checked the graphs page for 45 mins

   Now the charts value are always showing up when hovering over the data points on the graph.


Note You need to log in before you can comment on or make changes to this bug.